com.verisign.epp.codec.org

## Enum EPPOrgContact.Type

- java.lang.Object
- - java.lang.Enum<EPPOrgContact.Type>
  - - com.verisign.epp.codec.org.EPPOrgContact.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EPPOrgContact.Type>
  Enclosing class:
    EPPOrgContact

      public static enum EPPOrgContact.Type
      extends java.lang.Enum<EPPOrgContact.Type>

  Contact type enumeration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABUSE`
    `ADMINISTRATIVE`
    `BILLING`
    `CUSTOM`
    `TECHNICAL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPOrgContact.Type` | `getType(java.lang.String aTypeVal)` Get the `Type` instance given the type attribute value.
    `java.lang.String` | `toString()` Convert the enumerated `Type` value to a type attribute `String`.
    `static EPPOrgContact.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPOrgContact.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADMINISTRATIVE

          public static final EPPOrgContact.Type ADMINISTRATIVE

    - #### BILLING

          public static final EPPOrgContact.Type BILLING

    - #### TECHNICAL

          public static final EPPOrgContact.Type TECHNICAL

    - #### ABUSE

          public static final EPPOrgContact.Type ABUSE

    - #### CUSTOM

          public static final EPPOrgContact.Type CUSTOM

  - ### Method Detail

    - #### values

          public static EPPOrgContact.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPOrgContact.Type c : EPPOrgContact.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPOrgContact.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public static EPPOrgContact.Type getType(java.lang.String aTypeVal)

      Get the `Type` instance given the type attribute value.
      Parameters:
        `aTypeVal` - Type attribute value.
      Returns:
        Enumerated `Type` instance matching the `aTypeVal` value.
      Throws:
        `java.security.InvalidParameterException` - If `aTypeVal` does not match an enumerated `Type` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `Type` value to a type attribute `String`.
      Overrides:
        `toString` in class `java.lang.Enum<EPPOrgContact.Type>`

Copyright © VeriSign Inc. All Rights Reserved.